import { defineStore } from 'pinia'
import { fetchConfig } from '@/api/client'

export const useDefaultStore = defineStore('default', {
  state: () => ({
    // 客户端配置（包含系统配置和字典数据）
    clientConfig: null
  }),
  actions: {
    async fetchConfig () {
      this.clientConfig = await fetchConfig()
    }
  }
})
